org.eclipse.viatra.query.runtime.matchers.psystem.basicenumerables

## Class PositivePatternCall

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.BasePConstraint
  - - org.eclipse.viatra.query.runtime.matchers.psystem.EnumerablePConstraint
    - - org.eclipse.viatra.query.runtime.matchers.psystem.KeyedEnumerablePConstraint<PQuery>
      - - org.eclipse.viatra.query.runtime.matchers.psystem.basicenumerables.PositivePatternCall

- All Implemented Interfaces:
    IMultiQueryReference, IQueryReference, ITypeInfoProviderConstraint, PConstraint, PTraceable

      public class PositivePatternCall
      extends KeyedEnumerablePConstraint<PQuery>
      implements IQueryReference, ITypeInfoProviderConstraint

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.KeyedEnumerablePConstraint

      `supplierKey`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.EnumerablePConstraint

      `variablesTuple`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.BasePConstraint

      `pBody`

    - ### Fields inherited from interface org.eclipse.viatra.query.runtime.matchers.psystem.PConstraint

      `COMPARE_BY_MONOTONOUS_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositivePatternCall(PBody pBody, Tuple variablesTuple, PQuery pattern)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<TypeJudgement>` | `getImpliedJudgements(IQueryMetaContext context)` Returns type information implied by this constraint.
    `PQuery` | `getReferredQuery()`
    `static java.util.Set<TypeJudgement>` | `getTypesImpliedByCall(PQuery calledQuery, Tuple actualParametersTuple)`
    `protected java.lang.String` | `keyToString()`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.KeyedEnumerablePConstraint

      `getSupplierKey, toStringRestRest`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.EnumerablePConstraint

      `doReplaceVariable, getDeducedVariables, getVariableInTuple, getVariablesTuple, toStringRest`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.BasePConstraint

      `checkSanity, delete, getAffectedVariables, getBody, getFunctionalDependencies, getMonotonousID, getPSystem, replaceVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.matchers.psystem.IQueryReference

      `getReferredQueries`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.matchers.psystem.PConstraint

      `checkSanity, delete, getAffectedVariables, getBody, getDeducedVariables, getFunctionalDependencies, getMonotonousID, replaceVariable`

- - ### Constructor Detail

    - #### PositivePatternCall

          public PositivePatternCall(PBody pBody,
                                     Tuple variablesTuple,
                                     PQuery pattern)

  - ### Method Detail

    - #### keyToString

          protected java.lang.String keyToString()

      Specified by:
        `keyToString` in class `KeyedEnumerablePConstraint<PQuery>`

    - #### getReferredQuery

          public PQuery getReferredQuery()

      Specified by:
        `getReferredQuery` in interface `IQueryReference`

    - #### getImpliedJudgements

          public java.util.Set<TypeJudgement> getImpliedJudgements(IQueryMetaContext context)

      Description copied from interface: `ITypeInfoProviderConstraint`
      Returns type information implied by this constraint.
      Specified by:
        `getImpliedJudgements` in interface `ITypeInfoProviderConstraint`

    - #### getTypesImpliedByCall

          public static java.util.Set<TypeJudgement> getTypesImpliedByCall(PQuery calledQuery,
                                                                           Tuple actualParametersTuple)

      Since:
        1.3